> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a commitment donation



## OpenAPI

````yaml post /admin/commitment/{commitment_id}/donation
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/commitment/{commitment_id}/donation:
    post:
      tags:
        - Donations
      summary: Add a commitment donation
      operationId: 6a487246beaab0c3e088bc4939c92783
      parameters:
        - name: commitment_id
          in: path
          description: ID of the commitment to be added
          required: true
          schema:
            type: integer
      requestBody:
        description: Donation data to be added
        required: true
        content:
          application/json:
            schema:
              properties:
                client_id:
                  type: string
                  example: '1'
                amount:
                  type: number
                  example: 100
                commitment_id:
                  type: number
                  example: 1
                method:
                  type: integer
                  example: 3
                result:
                  type: string
                  example: result note
                created_at:
                  type: string
                  example: '2022-01-01'
              type: object
      responses:
        '200':
          description: Donation added successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Donation Successful
                type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Bad request.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````